Subject: [AVT] transmitting g729 bitstream in RTP

From: "Murat Artun" <[email-masked]>
Date: Thu, 7 Jun 2007 16:56:16 +0300

Hello,

I want to ask how the 80-bits long (assume G729B is disabled for
experimental purposes) G729 coded voice data is transmitted using RTP.

ITU test code encoder outputs 11 short integers (parameter vector)
where these 80-bits are packed following the below scheme:

/*----------------------------------------------------------------------------
 * prm2bits_ld8k -converts encoder parameter vector into vector of serial bits
 * bits2prm_ld8k - converts serial received bits to  encoder parameter vector
 *
 * The transmitted parameters are:
 *
 *     LPC:     1st codebook           7+1 bit
 *              2nd codebook           5+5 bit
 *
 *     1st subframe:
 *          pitch period                 8 bit
 *          parity check on 1st period   1 bit
 *          codebook index1 (positions) 13 bit
 *          codebook index2 (signs)      4 bit
 *          pitch and codebook gains   4+3 bit
 *
 *     2nd subframe:
 *          pitch period (relative)      5 bit
 *          codebook index1 (positions) 13 bit
 *          codebook index2 (signs)      4 bit
 *          pitch and codebook gains   4+3 bit
 *----------------------------------------------------------------------------
 */ (from BITS.C of ITU test code)

However, as I have followed the ethereal trace of a G729 voice
exchange, I see that only 8-bytes are transmitted for each G729 coded
10 ms voice data.

Considering the above parameter scheme that was specified to be
transmitted in the ITU test code, what is the true packing scheme for
each 10 ms G729 coded coice data?

Thanks in advice...

-- 
M u r at  A r t u n, MSc.
   Software Engineer

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt

---

From: "SOLLAUD Aurelien RD-TECH-LAN" <[email-masked]>
Date: Thu, 7 Jun 2007 17:39:25 +0200

Hi

A 10 ms G.729 frame = 10 bytes.
You can have a look at RFC 3551, section 4.5.6.

Aurelien 

> -----Message d'origine-----
> De : Murat Artun [mailto:[email-masked]] 
> Envoyé : jeudi 7 juin 2007 15:56
> À : [email-masked]
> Objet : [AVT] transmitting g729 bitstream in RTP
> 
> Hello,
> 
> I want to ask how the 80-bits long (assume G729B is disabled 
> for experimental purposes) G729 coded voice data is 
> transmitted using RTP.
> 
> ITU test code encoder outputs 11 short integers (parameter 
> vector) where these 80-bits are packed following the below scheme:
> 
> However, as I have followed the ethereal trace of a G729 
> voice exchange, I see that only 8-bytes are transmitted for 
> each G729 coded 10 ms voice data.
> 
> Considering the above parameter scheme that was specified to 
> be transmitted in the ITU test code, what is the true packing 
> scheme for each 10 ms G729 coded coice data?
> 
> Thanks in advice...
> 
> --
> M u r at  A r t u n, MSc.
>    Software Engineer
>